package com.muyu.enterprise.cache;

import com.muyu.common.cache.CacheAbsBacis;
import com.muyu.domain.FaultInfo;

import java.util.List;

/**
 * 所有故障缓存服务
 */
public class AllFaultCacheService extends CacheAbsBacis<String, List<FaultInfo>> {
    @Override
    public void clear() {

    }

    @Override
    public String keyPre() {
        return "AllFault:info:";
    }

    @Override
    public String decode(String key) {
        return key.replace("AllFault:info:", "");
    }
}
